import { ApiClient, StreamResponse } from '../../gen-imports';
import { BanRequest, BanResponse, DeleteModerationConfigResponse, FlagRequest, FlagResponse, GetConfigResponse, MuteRequest, MuteResponse, QueryModerationConfigsRequest, QueryModerationConfigsResponse, QueryReviewQueueRequest, QueryReviewQueueResponse, SubmitActionRequest, SubmitActionResponse, UpsertConfigRequest, UpsertConfigResponse } from '../models';
export declare class ModerationApi {
    readonly apiClient: ApiClient;
    constructor(apiClient: ApiClient);
    ban(request: BanRequest): Promise<StreamResponse<BanResponse>>;
    upsertConfig(request: UpsertConfigRequest): Promise<StreamResponse<UpsertConfigResponse>>;
    deleteConfig(request: {
        key: string;
        team?: string;
    }): Promise<StreamResponse<DeleteModerationConfigResponse>>;
    getConfig(request: {
        key: string;
        team?: string;
    }): Promise<StreamResponse<GetConfigResponse>>;
    queryModerationConfigs(request?: QueryModerationConfigsRequest): Promise<StreamResponse<QueryModerationConfigsResponse>>;
    flag(request: FlagRequest): Promise<StreamResponse<FlagResponse>>;
    mute(request: MuteRequest): Promise<StreamResponse<MuteResponse>>;
    queryReviewQueue(request?: QueryReviewQueueRequest): Promise<StreamResponse<QueryReviewQueueResponse>>;
    submitAction(request: SubmitActionRequest): Promise<StreamResponse<SubmitActionResponse>>;
}
